Bug 260220 - mail/rss2email3: Update to v3.13.1
Summary: mail/rss2email3: Update to v3.13.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL: https://github.com/rss2email/rss2emai...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-04 21:37 UTC by Corey Halpin
Modified: 2021-12-06 11:18 UTC (History)
1 user (show)

See Also:


Attachments
Proposed patch (896 bytes, patch)
2021-12-04 21:37 UTC, Corey Halpin
chalpin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Corey Halpin 2021-12-04 21:37:17 UTC
Created attachment 229905 [details]
Proposed patch

Update to v 3.13.1.

Changelog entries:

v3.13.1 (2021-05-15)
    * Fix crash on html-mail entries with no URL


Passes `poudriere testport`, no errors from `portlint`, built package works in my testing.
Comment 1 Hiroki Tagato freebsd_committer 2021-12-06 11:18:16 UTC
Committed, thanks!
Comment 2 commit-hook freebsd_committer 2021-12-06 11:18:34 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=7acfd471df30a00ccee4c3bb99af8f0295a95857

commit 7acfd471df30a00ccee4c3bb99af8f0295a95857
Author:     Corey Halpin <chalpin@cs.wisc.edu>
AuthorDate: 2021-12-06 11:15:25 +0000
Commit:     Hiroki Tagato <tagattie@FreeBSD.org>
CommitDate: 2021-12-06 11:17:18 +0000

    mail/rss2email3: update to 3.13.1

    Changelog:
    * Fix crash on html-mail entries with no URL
    (https://github.com/rss2email/rss2email/blob/v3.13.1/CHANGELOG)

    PR:             260220
    Reported by:    Corey Halpin <chalpin@cs.wisc.edu> (maintainer)

 mail/rss2email3/Makefile | 2 +-
 mail/rss2email3/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)